Author Topic: Unable to install NGINX in Amazon Linux AMI  (Read 670 times)

0 Members and 1 Guest are viewing this topic.

Offline kalaynbl

  • Jr. Member
  • **
  • Posts: 1
  • Karma: 0
  • I've just joined!
    • View Profile
    • Awards
Unable to install NGINX in Amazon Linux AMI
« on: October 30, 2018, 11:30:56 am »
Hi folks,

I am trying to install NGINX in Amazon Linux AMI

but when i try to run command

sudo yum install nginx

error is below

Loaded plugins: langpacks, priorities, update-motd
Resolving Dependencies
--> Running transaction check
---> Package nginx.x86_64 0:1.14.0-1.el6.ngx will be installed
--> Processing Dependency: libpcre.so.0()(64bit) for package: nginx-1.14.0-1.el6.ngx.x86_64
--> Finished Dependency Resolution
Error: Package: nginx-1.14.0-1.el6.ngx.x86_64 (nginx)
           Requires: libpcre.so.0()(64bit)
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest


Any help would be appreciated!

Thank you!

Offline Mark Greaves (PCNetSpec)

  • Administrator
  • Hero Member
  • *****
  • Posts: 18076
  • Karma: 466
  • Gender: Male
  • "-rw-rw-rw-" .. The Number Of The Beast
    • View Profile
    • PCNetSpec
    • Awards
Re: Unable to install NGINX in Amazon Linux AMI
« Reply #1 on: October 30, 2018, 12:01:02 pm »
See here:
https://stackoverflow.com/questions/50292023/nginx-is-giving-error-when-i-try-to-install

Your problem might be finding which version of CentOS your version of AMI is based on.
WARNING: You are logged into reality as 'root'
logging in as 'insane' is the only safe option.
pcnetspec.co.uk

 


SimplePortal 2.3.3 © 2008-2010, SimplePortal